"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.meta_tag = exports.body_tag = exports.isFirefox = exports.executablePath = exports.userAgent = void 0;
const node_toolkit_1 = require("@tech_query/node-toolkit");
const dotenv_1 = require("dotenv");
const path_1 = require("path");
const parser_1 = require("./parser");
exports.userAgent = 'Mozilla/5.0 (Windows NT 10.0; WOW64; Trident/7.0; .NET4.0C; .NET4.0E; rv:11.0) like Gecko';
// set `package.json`'s foldr as Current Working Directory
const { path = process.cwd() } = (0, node_toolkit_1.packageOf)((0, node_toolkit_1.currentModulePath)());
(0, dotenv_1.config)({ path: (0, path_1.join)(path, '.env') });
const { chrome, msedge, firefox } = process.env;
exports.executablePath = chrome || msedge || firefox;
exports.isFirefox = exports.executablePath.includes('firefox');
exports.body_tag = [
    'article',
    'main',
    '.article',
    '.content',
    '.post',
    '.blog',
    '.main',
    '.container',
    'body'
];
exports.meta_tag = {
    title: ['h1', 'h2', '.title', 'title'].map(parser_1.likeOf),
    authors: ['.author', '.publisher', '.creator', '.editor'].map(parser_1.likeOf),
    date: ['.date', '.time', '.publish', '.create'].map(parser_1.likeOf),
    updated: ['.update', '.edit', '.modif'].map(parser_1.likeOf),
    categories: ['.breadcrumb', '.categor'].map(parser_1.likeOf),
    tags: ['.tag', '.label'].map(parser_1.likeOf)
};
